deductionguidesforstd::weak_ptr(3)

NAME
deductionguidesforstd::weak_ptr - deductionguidesforstd::weak_ptr

Synopsis
   Defined in header <memory>
   template<class T> (since C++17)
   weak_ptr(std::shared_ptr<T>) -> weak_ptr<T>;
   One deduction guide is provided for std::weak_ptr to account for the edge case
   missed by the implicit deduction guides.

Example
// Run this code
 #include <memory>
 int main()
 {
     auto p = std::make_shared<int>(42);
     std::weak_ptr w{p}; // explicit deduction guide is used in this case
 }